Bug 230074 - [patch] editors/vim: add UseBlacklist to syntax/sshdconfig.vim
Summary: [patch] editors/vim: add UseBlacklist to syntax/sshdconfig.vim
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-26 23:44 UTC by Samy Mahmoudi
Modified: 2018-08-02 14:11 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (adamw)


Attachments
Adds UseBlacklist to the sshdconfigKeyword syntax group (456 bytes, patch)
2018-07-26 23:44 UTC, Samy Mahmoudi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2018-07-26 23:44:15 UTC
Created attachment 195491 [details]
Adds UseBlacklist to the sshdconfigKeyword syntax group

Support for blacklistd has been added to OpenSSH since FreeBSD 11.1-RELEASE. However, syntax/sshdconfig.vim has not been updated accordingly, so that the new keyword UseBlacklist is not highlighted.

The attached patch adds UseBlacklist to the sshdconfigKeyword syntax group. Adding this upstream seems BSD-centrism but I may give it a try.
Comment 1 Adam Weinberger freebsd_committer 2018-07-27 12:37:42 UTC
Please do a pull request upstream, Samy.

  https://github.com/vim/vim

Half the stuff in vim is Linux-centric, so a little BSD-centrism is a great thing!
Comment 2 commit-hook freebsd_committer 2018-07-27 12:45:41 UTC
A commit references this bug:

Author: adamw
Date: Fri Jul 27 12:45:29 UTC 2018
New revision: 475435
URL: https://svnweb.freebsd.org/changeset/ports/475435

Log:
  Teach the syntax highlighter about the UseBlacklist command in sshd_config

  PR:		230074
  Submitted by:	Samy Mahmoudi

Changes:
  head/editors/neovim/Makefile
  head/editors/neovim/files/patch-sshdconfig-UseBlacklist
Comment 3 Adam Weinberger freebsd_committer 2018-07-27 12:47:03 UTC
Also, please submit this upstream to neovim at https://github.com/neovim/neovim

I've added this to the neovim port. I'll update vim in a couple days, and I'll add the patch to vim at that time.
Comment 4 Samy Mahmoudi 2018-07-27 16:03:45 UTC
Following your suggestion, I will do a merge request upstream.

If merged, you may need to revert the addition of this patch.
Comment 5 Samy Mahmoudi 2018-07-28 01:58:52 UTC
Hello Adam,

The change has been requested upstream:
https://github.com/vim/vim/pull/3258
https://github.com/neovim/neovim/pull/8794

Thank you for your neovim commit and your upcoming vim commit.
Comment 6 commit-hook freebsd_committer 2018-08-01 16:52:18 UTC
A commit references this bug:

Author: adamw
Date: Wed Aug  1 16:51:32 UTC 2018
New revision: 476185
URL: https://svnweb.freebsd.org/changeset/ports/476185

Log:
  Update vim to patchlevel 231

  Also, add a patch[1] to recognize the UseBlacklist command in sshd_config.

  PR:		230074 [1]
  Submitted by:	Samy Mahmoudi

Changes:
  head/editors/vim/Makefile
  head/editors/vim/distinfo
  head/editors/vim/files/patch-sshdconfig-UseBlacklist
  head/editors/vim/pkg-plist
Comment 7 Adam Weinberger freebsd_committer 2018-08-01 16:53:36 UTC
Thanks again for this, Samy. It's now committed to vim and neovim. Hopefully upstream accepts the pull requests soon!
Comment 8 Samy Mahmoudi 2018-08-02 14:11:03 UTC
Hello Adam,

Thank you for your commit. Yes, I hope so !